Package org.opensaml.soap.wssecurity.messaging

# Class WSSecurityMessagingSupport

java.lang.Object
org.opensaml.soap.wssecurity.messaging.WSSecurityMessagingSupport

public final class WSSecurityMessagingSupport extends Object
Helper methods for working with WS-Security messaging.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WSSecurityMessagingSupport()`
Private constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`addSecurityHeaderBlock(MessageContext messageContext, XMLObject securityHeader, boolean mustUnderstand)`
Add a `Security` sub-header block to the SOAP envelope contained within the specified message context's SOAP subcontext.
`static void`
`addSecurityHeaderBlock(MessageContext messageContext, XMLObject securitySubHeader, boolean mustUnderstand, String targetNode, boolean isFinalDestination)`
Add a `Security` sub-header block to the SOAP envelope contained within the specified message context's SOAP subcontext.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WSSecurityMessagingSupport

private WSSecurityMessagingSupport()
Private constructor.

## Method Details

### addSecurityHeaderBlock

public static void addSecurityHeaderBlock(@Nonnull MessageContext messageContext, @Nonnull XMLObject securityHeader, boolean mustUnderstand)
Add a `Security` sub-header block to the SOAP envelope contained within the specified message context's SOAP subcontext.

Parameters:
  `messageContext` - the message context to process
  `securityHeader` - the security sub-header block to add
  `mustUnderstand` - whether the sub-header should be added to a Security header block indicating that it must be understood

### addSecurityHeaderBlock

public static void addSecurityHeaderBlock(@Nonnull MessageContext messageContext, @Nonnull XMLObject securitySubHeader, boolean mustUnderstand, @Nullable String targetNode, boolean isFinalDestination)
Add a `Security` sub-header block to the SOAP envelope contained within the specified message context's SOAP subcontext.

Parameters:
  `messageContext` - the message context to process
  `securitySubHeader` - the security sub-header block to add
  `mustUnderstand` - whether the sub-header should be added to a Security header block indicating that it must be understood
  `targetNode` - the explicitly-specified SOAP node actor for which the header is desired
  `isFinalDestination` - true specifies that headers targeted for message final destination should be returned, false specifies they should not be returned